%define milter		1
# set to 1 for hourly+random offset updates; 0 for daily updates
%define freshclamhourly 0

%define name		clamav
%define version		0.75.1
%define rversion	0.75.1
#define snap		20040209
%if %{!?snap: 1}%{?snap: 0}
%define arcname		%{name}-%{rversion}
%define rrelease	1mdk
%else
%define arcname		%{name}-devel-%{snap}
%define rrelease	0.%{snap}.1mdk
%endif

%define	major		1
%define libname	%mklibname %{name} %{major}

%{?_without_milter:   %{expand: %%global milter 0}}
%{?_with_milter:   %{expand: %%global milter 1}}
%{?_without_freshclamhourly:   %{expand: %%global freshclamhourly 0}}
%{?_with_freshclamhourly:   %{expand: %%global freshclamhourly 1}}

Name:			%{name}
Summary:		An anti-virus utility for Unix.
Version:		%{rversion}
Release:		%{rrelease}
%if %{!?snap: 0}%{?snap: 1}
Source0:		http://www.clamav.net/snapshot/%{name}-devel-%{snap}.tar.bz2
%else
Source0:		%{name}-%{rversion}.tar.bz2
%endif
Source2:		%{name}.init.bz2
Source3:		%{name}-milter.init.bz2
Source4:		%{name}-milter.sysconfig.bz2
Source5:		freshclam.cron.bz2
Source6:		freshclam.logrotate.bz2
Source7:		%{name}.logrotate.bz2
Patch0:			clamav-0.71-config.patch.bz2
Patch1:			freshclam-cron.patch.bz2
URL:			http://clamav.sourceforge.net/
License:		GPL
Group:			File tools
Requires:		%{libname} = %{rversion}-%{rrelease}
Requires:		%{name}-db
PreReq:			rpm-helper
BuildRequires:		bzip2-devel
BuildRequires:		autoconf2.5
BuildRequires:		automake1.7
%if %{milter}
BuildRequires:		sendmail-devel
BuildRequires:		tcp_wrappers-devel
%endif
BuildRequires:		zlib-devel
BuildRequires:		gmp-devel
#BuildConflicts:		%{libname}-devel
Provides:		virusscanner AV-Scanner
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{rrelease}-buildroot

%description 
Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose
of this software is the integration with mail servers (attachment
scanning). The package provides a flexible and scalable
multi-threaded daemon, a commandline scanner, and a tool for
automatic updating via Internet. The programs are based on a
shared library distributed with the Clam AntiVirus package, which
you can use in your own software. 

%package -n		clamd
Summary:		The Clam AntiVirus Daemon
Group:			System/Servers
Requires:		%{libname} = %{rversion}-%{rrelease}
Requires:		%{name} = %{rversion}-%{rrelease}
Requires:		%{name}-db
PreReq:			rpm-helper
Provides:		virusscanner-daemon AV-Scanner-Daemon

%description -n		clamd
The Clam AntiVirus Daemon

%if %{milter}
%package -n		%{name}-milter
Summary:		The Clam AntiVirus sendmail-milter Daemon
Group:			System/Servers
Requires:		%{libname} = %{rversion}-%{rrelease}
Requires:		%{name} = %{rversion}-%{rrelease}
Requires:		%{name}-db
Requires:		clamd = %{rversion}-%{rrelease}
Requires:		sendmail
Requires:		tcp_wrappers
PreReq:			rpm-helper

%description -n		%{name}-milter
The Clam AntiVirus sendmail-milter Daemon
%endif

%package -n		%{name}-db
Summary:		Virus database for %{name}
Group:			Databases
Requires:		%{libname} = %{rversion}-%{rrelease}
Requires:		%{name} = %{rversion}-%{rrelease}
PreReq:			rpm-helper

%description -n		%{name}-db
The actual virus database for %{name}

%package -n		%{libname}
Summary:		Shared libraries for %{name}
Group:          	System/Libraries

%description -n		%{libname}
Shared libraries for %{name}

%package -n		%{libname}-devel
Summary:		Development library and header files for the %{name} library
Group:			Development/C
Requires:		%{libname} = %{rversion}-%{rrelease}
Provides:		%{name}-devel lib%{name}-devel
Obsoletes:		%{name}-devel lib%{name}-devel

%description -n		%{libname}-devel
This package contains the static %{libname} library and its header
files.

%prep

%setup -q -n %{arcname}

# clean up
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done
	
# don't ship the M$ *.exe file
if [ -f contrib/Windows/clamav.exe ]; then
    echo "The clamav.exe file was found in the source, you need to delete this file and repack the tarball."
    exit 1
fi

%patch0 -p1 -b .mdkconf

bzcat %{SOURCE2} > clamd.init

%if %{milter}
bzcat %{SOURCE3} > %{name}-milter.init
bzcat %{SOURCE4} > %{name}-milter.sysconfig
%endif

bzcat %{SOURCE5} > freshclam.cron
%if %{freshclamhourly}
%patch1 -p1
%endif

bzcat %{SOURCE6} > freshclam.logrotate
bzcat %{SOURCE7} > %{name}.logrotate

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force && aclocal-1.7 && autoconf && automake-1.7

export SENDMAIL="%{_libdir}/sendmail"

%serverbuild

%configure2_5x \
    --disable-%{name} \
    --with-user=%{name} \
    --with-group=%{name} \
    --with-dbdir=%{_localstatedir}/%{name} \
    --enable-id-check \
    --disable-clamuko \
    --enable-debug \
    --enable-bigstack \
%if %{milter}
    --enable-milter --with-tcpwrappers
%else
    --disable-milter --without-tcpwrappers
%endif			

%make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# install the init scripts
install -d %{buildroot}%{_initrddir}
install -m755 clamd.init %{buildroot}%{_initrddir}/clamd

%if %{milter}
install -m755 %{name}-milter.init %{buildroot}%{_initrddir}/%{name}-milter
%endif

%if %{milter}
# install the milter config
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m644 %{name}-milter.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}-milter
%endif

# install the cron script to auto update the virus database 
%if %{freshclamhourly}
install -d %{buildroot}%{_sysconfdir}/cron.hourly
install -m755 freshclam.cron %{buildroot}%{_sysconfdir}/cron.hourly/freshclam
%else
install -d %{buildroot}%{_sysconfdir}/cron.daily
install -m755 freshclam.cron %{buildroot}%{_sysconfdir}/cron.daily/freshclam
%endif

install -m644 etc/freshclam.conf %{buildroot}%{_sysconfdir}/freshclam.conf

# install the logrotate stuff
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m644 freshclam.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/freshclam
install -m644 %{name}.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

install -d %{buildroot}/var/log/%{name}
touch %{buildroot}/var/log/%{name}/freshclam.log
touch %{buildroot}/var/log/%{name}/clamd.log

# huh? a bug?
install -m644 etc/%{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf
install -m644 etc/%{name}.conf %{buildroot}%{_sysconfdir}/clamd.conf

# pid file dir
install -d %{buildroot}/var/run/%{name}

cat > README.qmail+qmail-scanner <<EOF
#!/bin/sh
#
# The "temporary" qmail+qmail-scanner HOWTO
# -----------------------------------------
#
# For some unknown and undocumented reason clamdscan stopped working
# in the excellent qmail+qmail-scanner setup somewhere after the
# 20040103 CVS snapshot.
#
# To get it working again everything assigned to the clamav user has
# to be changed to the qscand user by hand.
#
# Hint: Change the config and chown the directories like this:
# (if you are lazy you could just execute this file)

perl -pi -e "s|%{name} %{name}|qscand qscand|g" %{_sysconfdir}/logrotate.d/%{name}
perl -pi -e "s|%{name} %{name}|qscand qscand|g" %{_sysconfdir}/logrotate.d/freshclam
perl -pi -e "s|^User %{name}|User qscand|g" %{_sysconfdir}/%{name}.conf
perl -pi -e "s|^User %{name}|User qscand|g" %{_sysconfdir}/clamd.conf
perl -pi -e "s|^DatabaseOwner %{name}|DatabaseOwner qscand|g" %{_sysconfdir}/freshclam.conf

chown -R qscand:qscand %{_localstatedir}/%{name}
chown -R qscand:qscand /var/log/%{name}
chown -R qscand:qscand /var/run/%{name}

if [ -x %{_initrddir}/clamd ]; then
    %{_initrddir}/clamd restart
fi

if [ -x %{_initrddir}/freshclamd ]; then
    %{_initrddir}/freshclamd restart
fi

# Regards // Oden Eriksson
EOF

%pre
%_pre_useradd %{name} %{_localstatedir}/%{name} /bin/sh
%_pre_groupadd amavis %{name}

%pre -n clamd
%_pre_useradd %{name} %{_localstatedir}/%{name} /bin/sh

%post -n clamd
%_post_service clamd
%create_ghostfile /var/log/%{name}/clamd.log %{name} %{name} 0644

%preun -n clamd
%_preun_service clamd

%postun -n clamd
%_postun_userdel %{name}

%if %{milter}
%post -n %{name}-milter
%_post_service %{name}-milter

%preun -n %{name}-milter
%_preun_service %{name}-milter
%endif

%pre -n %{name}-db
%_pre_useradd %{name} %{_localstatedir}/%{name} /bin/sh

%post -n %{name}-db
%create_ghostfile /var/log/%{name}/freshclam.log %{name} %{name} 0644
# try to keep most uptodate database
for i in main daily; do
	if [ -f /var/lib/clamav/$i.cvd.rpmnew ]; then
		if [ /var/lib/clamav/$i.cvd.rpmnew -nt /var/lib/clamav/$i.cvd ]; then
			mv -f /var/lib/clamav/$i.cvd.rpmnew /var/lib/clamav/$i.cvd
		else
			rm -f /var/lib/clamav/$i.cvd.rpmnew
		fi
	fi
done

%postun -n %{name}-db
%_postun_userdel %{name}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig

%postun -n %{libname}-devel -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog FAQ NEWS README test
%doc docs/DMS docs/FreeBSD-HowTo docs/*.pdf docs/html
%doc docs/Japanese docs/Portugese docs/Spanish
%doc docs/Turkish docs/French docs/Polish docs/German
%doc contrib/clamdb
%doc README.qmail+qmail-scanner COPYING
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf

%{_bindir}/clamscan
%{_bindir}/freshclam
%{_bindir}/sigtool
%{_mandir}/man1/sigtool.1*
%{_mandir}/man1/clamscan.1*
%{_mandir}/man1/freshclam.1*
%{_mandir}/man5/freshclam.conf.5*

%files -n clamd
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/clamd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(0755,root,root) %config(noreplace) %{_initrddir}/clamd
%{_sbindir}/clamd
%{_bindir}/clamdscan
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/clamd.8*
%{_mandir}/man1/clamdscan.1*
%dir %attr(0755,%{name},%{name}) /var/run/%{name}
%dir %attr(0755,%{name},%{name}) %{_localstatedir}/%{name}
%dir %attr(0755,%{name},%{name}) /var/log/%{name}
%ghost %attr(0644,%{name},%{name}) /var/log/%{name}/clamd.log

%if %{milter}
%files -n %{name}-milter
%defattr(-,root,root)
%doc %{name}-milter/INSTALL
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}-milter
%attr(0755,root,root) %config(noreplace) %{_initrddir}/%{name}-milter
%{_sbindir}/%{name}-milter
%{_mandir}/man8/%{name}-milter.8*
%endif

%files -n %{name}-db
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/freshclam.conf
%if %{freshclamhourly}
%attr(0755,root,root) %config(noreplace) %{_sysconfdir}/cron.hourly/freshclam
%else
%attr(0755,root,root) %config(noreplace) %{_sysconfdir}/cron.daily/freshclam
%endif
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/freshclam
%dir %attr(0755,%{name},%{name}) %{_localstatedir}/%{name}
%attr(0644,%{name},%{name}) %config(noreplace) %{_localstatedir}/%{name}/daily.cvd
%attr(0644,%{name},%{name}) %config(noreplace) %{_localstatedir}/%{name}/main.cvd
%ghost %attr(0644,%{name},%{name}) /var/log/%{name}/freshclam.log

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc contrib/clamdwatch
%doc contrib/Windows
%{_bindir}/clamav-config
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/libclamav.pc
      
%changelog
* Sat Jul 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.75.1-1mdk
- use "-1mdk" ;) (catched by Bill Randle)

* Fri Jul 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.75.1-1mdk
- 0.75.1 (bugfix release)

* Thu Jul 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.75-2mdk
- 0.75-1 (bugfix release)

* Fri Jul 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.75-1mdk
- 0.75

* Wed Jun 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.74-1mdk
- 0.74

* Tue Jun 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.73-1mdk
- 0.73
- drop P2, it's in there

* Thu Jun 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.72-1mdk
- 0.72

* Thu Jun 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.72-0.1mdk
- 0.72 (from cvs)

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.71-3mdk
- added P2 from PLD

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.71-2mdk
- added fixes by Bill Randle <billr@neocat.org>:
  | drop S9 (not needed as default mdk install does not run amavisd chroot)
  | add German docs
  | add --with/--without freshclamhourly option for hourly+random offset
  | freshclam runs
  | add P1
  | add clamav user to amavis group
  | drop unneeded mdk92/mdk100 defines
- fixed a more convenient README.qmail+qmail-scanner file ;)
- don't ship the *.exe file, put contrib sources in the devel sub package

* Fri May 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.71-1mdk
- 0.71
- rediffed P0
- drop clamdmail, eventually it will be a stand alone package, if 
  it's better maintained

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.70-2mdk
- remove stuff that always enable build of clamdmail (thanks 
  Luca Berra <bluca@comedia.it>)

* Sun Apr 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.70-1mdk
- 0.70
- clamdmail-0.15a
- merge static devel into devel
- added fixes by Bill Randle <billr@neocat.org>:
  - rediff Patch0
  - additonal doc files
  - create Patch1 for clamdmail
  - clamav.clamav+amavisd-new-fixup.sh script
  - change start priority for clamd so it starts before clamav-milter
    (reported by and suggested fix by jbolin@users.sourceforge.net)

* Fri Apr 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.68-1mdk
- 0.68-1
- drop P1
- fix P0

* Tue Feb 17 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.67-4mdk
- added fixes from 0.67-1 (P2)
- fixed a stupid spec file thang (thanks Luca Berra and Daniel J McDonald)
- added a note about qmail+qmail-scanner
- for now i will only correct things i find too strange or too stupid,
  don't expect me to work this fulltime as the previous 2-3 years... the
  previous changelog entry explains why i jumped in here.

* Tue Feb 17 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.67-3mdk
- fix freshclam cron policy: do not ship clamav with a db update frequency 
  of one hour. once a day is ok for joe user. thousands or maybe millions 
  of mdk10+ boxes could bring the clamav antivirus database mirrors to its 
  knees, or even worse in about six months turn it into a pre-paid 
  subscription service. any serious admin can change this update frequency,
  at will post install...
- fix conditional build for the sendmail milter
- turn on debug code, disable clamuko (who uses it?)
- make clamd use its own config file
- misc spec file fixes

* Sun Feb 15 2004 Bill Randle <billr@neocat.org> 0.67-2mdk
- update spec file to match Luca's version in contrib
- put freshclam cron file in cron.hourly

* Sun Feb 15 2004 Bill Randle <billr@neocat.org> 0.67-1mdk
- sync with new 0.67 release (fixes memory management problem)

* Sun Feb 15 2004 Luca Berra <bluca@vodka.it> 0.66-3mdk
- really fix freshclam cron script

* Wed Feb 11 2004 Luca Berra <bluca@vodka.it> 0.66-2mdk 
- fix clamdmail version

* Wed Feb 11 2004 Luca Berra <bluca@vodka.it> 0.66-1mdk 
- 0.66
- fix freshclam return code in cron script
- use freshclam.conf
- allow building without clamdmail for 9.2 (no libripmime-devel)
- removed P1 (included upstream)
- rediffed P0
- massage rpm for easy snapshot/release build

* Sun Dec 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.66-0.20031204.1mdk
- fix weird #6486 (S2)
- use a recent CVS snapshot (there's simply too much going on here...)
- clamdmail-0.15
- buildrequires ripmime-devel (for clamdmail)
- drop P1 & P2
- rediffed P0
- added new P1

* Wed Nov 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.65-4mdk
- added P2 (CVS fixes)

* Wed Nov 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.65-3mdk
- clamdmail-0.14
- drop P2, it's included

* Fri Nov 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.65-2mdk
- fixed P0

* Thu Nov 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.65-1mdk
- 0.65
- removed one patch, added P1 & P2
- gmp is needed now
- misc spec file fixes

* Sat Sep 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030829.1mdk
- use the 20030829 snapshot
- remove patches that's included in the upstream source
- changed P3 to P1
- fix S7 and log stuff in the spec file
- fetch virus databases as these are not included
- clamdmail-0.13
- fix buildrequires

* Mon Aug 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030806.2mdk
- use the correct 20030806 snapshot
- added P1 to fix stale sockets if unclean shutdown.
- added P2 to fix cli_malloc build error
- update url
- update url in mirrors.txt file (P3)

* Tue Aug 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030806.1mdk
- use the 20030806 snapshot
- added 2 files from contrib into docdir

* Tue Aug 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030705.5mdk
- spec file work around for rpm stupidity...

* Tue Aug 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030705.4mdk
- added the clamdmail subpckage

* Tue Jul 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030705.3mdk
- use some more spec file voodoo magic to please distlint (a bit?)

* Sat Jul 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030705.2mdk
- change description on request by the author

* Wed Jul 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030705.1mdk
- use the 20030705 snapshot
- added some more docs

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.60-2mdk
- rebuild
- misc spec file fixes

* Sun Jun 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.60-1mdk
- misc fixes by mutt@free.fr:
  - upgrade to 0.60 (clamav-0.54-buffer_overflow_fix included)
  - doc changes (Spanish, Japanese), new file mirrors.txt
- added the clamav-milter sub package (S3 & S4)
- added cron script to auto update the virus database, plus a logrotate
  configuration file (S5 & S6)
- use the %%configure2_5x macro
- fix buildrequires
- rediff P0
- move logs to /var/log/clamav/ (msec fix)
- misc spec file fixes

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-8mdk
- rebuilt to have rpm v4.2 pick up provides

* Thu Mar 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-7mdk
- fix potential security hole (P1) as in:
  http://archive.elektrapro.com/clamav.elektrapro.com/users/2003/3/msg00016.html

* Thu Mar 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-6mdk
- use the %%mklibname macro
- misc spec file fixes
- fix pid file location
- got rpmlint a little happier...

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-5mdk
- build release

* Fri Nov 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-4mdk
- argh!!! viruscanner should spell virusscanner, right?

* Fri Nov 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-3mdk
- added virtual provides (pointed out by Buchan Milne)
  clamav Provides: viruscanner AV-Scanner
  clamd Provides: viruscanner-daemon AV-Scanner-Daemon

* Fri Nov 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-2mdk
- fix %%_pre_useradd (pointed out by Buchan Milne)
- also fix ldconfig in %%post %%postun (wierd...)

* Thu Nov 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-1mdk
- new version
- updated P0
- %{_bindir}/clamdscan was added to the clamd package
- misc spec file fixes

* Fri Nov 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.53-1mdk
- new version

* Tue Oct 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.52-1mdk
- new version
- misc spec file fixes

* Sat Oct 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.51-3mdk
- attrib 711 on %{_localstatedir}/clamav was too restrictive for
  qmail-scanner, changed that to 755

* Mon Oct 14 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.51-2mdk
- fixed Group=File tools for main package (correct?)

* Wed Oct 09 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.51-1mdk
- new version
- libifictions and daemonification
- major spec file fixes

* Thu Aug 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.24-1mdk
- new version
- added GnuPG signature
- misc spec file fixes

* Sat Aug  3 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23-1mdk
- new version

* Wed Jul 24 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.22-1mdk
- new version

* Thu Jul 18 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.21-1mdk
- new version

* Tue Jul 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.20-1mdk
- new version, new url
- misc spec file fixes

* Wed Jun 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.15-1mdk
- new version

* Sat Jun  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14-1mdk
- new version
- remove P0

* Sat May 11 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.11-1mdk
- initial cooker contrib
